var clazz = require('../../core/clazz.js');
var Collection = require('./Collection.js');

var Set = clazz.define(Collection, {
    constructor: function Set(v) {},
    clone: function() {
        return new Set(this);
    },
    add: function(item) {
        if (!this.contains(item)) {
            this.super().add.call(this, item);
        }
        return this;
    }
});

module.exports = Set;