var type = require('../../core/type.js');

module.exports = {
    isInteger: function(number) {
        return type.isNumber(number) &&  isFinite(number) &&  Math.floor(number) === number;
    },
    Int10: {
        parseNonnegative: function(value, def) {
            value = parseInt(value, 10);
            if (Number.isNaN(value) || value < 0) {
                return def;
            }
            return value;
        }
    }
};